Skip to main content
GET
/
api
/
cameras
/
{cameraId}
/
sd-card
/
slot
/
{slotNumber}
/
files
List SD card files
curl --request GET \
  --url http://{host}:{port}/api/cameras/{cameraId}/sd-card/slot/{slotNumber}/files
{
  "success": true,
  "slot": 123,
  "file_count": 123,
  "files": [
    {
      "content_id": 123,
      "file_id": 123,
      "file_path": "DCIM/100MSDCF/DSC00001.ARW",
      "file_size": 123,
      "width": 123,
      "height": 123,
      "creation_year": 123,
      "creation_month": 123,
      "creation_day": 123,
      "creation_hour": 123,
      "creation_minute": 123,
      "creation_second": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://crsdk.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

cameraId
string
required

Camera identifier (e.g. D10F60149B0C)

slotNumber
enum<integer>
required

SD card slot number (1 or 2)

Available options:
1,
2

Response

File list retrieved

success
boolean
required
slot
integer
required
file_count
integer
required
files
object[]
required